Bug 806947 - numlockx sets the num lock too late, it should run before gdm
numlockx sets the num lock too late, it should run before gdm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: numlockx (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 11:10 EDT by Zdenek Wagner
Modified: 2014-02-05 06:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Wagner 2012-03-26 11:10:59 EDT
Description of problem:
Numlockx sets the num lock after the user logs in which is too late. When gdm starts, numlocks is still off, the users is forced to switch it manually thus making numlockx useless

Version-Release number of selected component (if applicable):
numlockx-1.2-1.fc16.x86_64


How reproducible:
always

Steps to Reproduce:
1. install numlockx
2. reboot
  
Actual results:
num lock off in gdm, set to on after logging

Expected results:
num lock should be on in gdm

Additional info:
Bug 171361 (closed years ago) point to files no longer available, thus this old information cannot be used to solve the problem.
Comment 1 Zdenek Wagner 2012-11-24 09:19:12 EST
The same problem persists in Fedora 17.
Comment 2 Fedora End Of Life 2013-01-16 04:54:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Zdenek Wagner 2013-04-15 07:33:00 EDT
(In reply to comment #1)
> The same problem persists in Fedora 17

The same bug in Fedora 18
Comment 4 Fedora End Of Life 2013-12-21 03:34:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Zdenek Wagner 2013-12-21 05:52:33 EST
(In reply to Fedora End Of Life from comment #4)
> This message is a reminder that Fedora 18 is nearing its end of life.
> Approximately 4 (four) weeks from now Fedora will stop maintaining
> and issuing updates for Fedora 18. It is Fedora's policy to close all
> bug reports from releases that are no longer maintained. At that time
> this bug will be closed as WONTFIX if it remains open with a Fedora 
> 'version' of '18'.
> 
> Package Maintainer: If you wish for this bug to remain open because you
> plan to fix it in a currently maintained version, simply change the
> 'version' 
> to a later Fedora version prior to Fedora 18's end of life.
> 
> Thank you for reporting this issue and we are sorry that we may not be 
> able to fix it before Fedora 18 is end of life. If you would still like 
> to see this bug fixed and are able to reproduce it against a later version 
> of Fedora, you are encouraged  change the 'version' to a later Fedora 
> version prior to Fedora 18's end of life.
> 
> Although we aim to fix as many bugs as possible during every release's 
> lifetime, sometimes those efforts are overtaken by events. Often a 
> more recent Fedora release includes newer upstream software that fixes 
> bugs or makes them obsolete.

I was informed the fix already exists for Fedora 20.
Comment 6 Fedora End Of Life 2014-02-05 06:55:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.